
Installer - Bug #35509

CentOS 7.9: No Puppet module parser is installed and no cache of the file

/usr/share/foreman-installer/modules/foreman_proxy/manifests/plugin/remote_execution/ssh.pp is

available

09/09/2022 02:13 PM - Frank Adaemmer

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 3.3.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm testing foreman 3.3 (katello 4.5) installation on CentOS Linux release 7.9.2009 (Core) and get

foreman-installer --scenario "katello" 

Traceback (most recent call last):

        19: from /sbin/foreman-installer:8:in `<main>'

        18: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/kafo_configure.r

b:50:in `run'

        17: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132

:in `run'

        16: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132

:in `new'

        15: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/kafo_configure.r

b:140:in `initialize'

        14: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hooking.rb:65:in

 `execute'

        13: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hooking.rb:65:in

 `each'

        12: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hooking.rb:67:in

 `block in execute'

        11: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hook_context.rb:

19:in `execute'

        10: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hook_context.rb:

19:in `instance_eval'

         9: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hooking.rb:36:in

 `block (4 levels) in load'

         8: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hooking.rb:36:in

 `instance_eval'

         7: from /usr/share/foreman-installer/hooks/boot/20-certs_update.rb:2:in `block (4 levels)

 in load'

         6: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/hook_context.rb:

113:in `module_present?'

         5: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/kafo_configure.r

b:257:in `module'

         4: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/kafo_configure.r

b:253:in `modules'

         3: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/configuration.rb

:133:in `modules'

         2: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/configuration.rb

:133:in `map'

         1: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/configuration.rb

:133:in `block in modules'

/opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.4.0/lib/kafo/puppet_module.rb:70:in `parse': N

o Puppet module parser is installed and no cache of the file /usr/share/foreman-installer/modules/

foreman_proxy/manifests/plugin/remote_execution/ssh.pp is available. Please check debug logs and i

05/21/2024 1/4



nstall optional dependencies for the parser. (Kafo::ParserError)

 The same setup works fine with foreman 3.2 (katello 4.4).

/etc/foreman-installer/scenarios.d/katello-answers.yaml

certs:

    group: foreman

foreman:

    client_ssl_ca: /etc/foreman/proxy_ca.pem

    client_ssl_cert: /etc/foreman/client_cert.pem

    client_ssl_key: /etc/foreman/client_key.pem

    db_manage: true

    initial_admin_password: P@ssw0rd

    initial_admin_username: admin

    initial_location: Gitlab-Runner

    initial_organization: Testing

    server_ssl_ca: /etc/pki/katello/certs/katello-default-ca.crt

    server_ssl_cert: /etc/pki/katello/certs/katello-apache.crt

    server_ssl_chain: /etc/pki/katello/certs/katello-server-ca.crt

    server_ssl_crl: ''

    server_ssl_key: /etc/pki/katello/private/katello-apache.key

    servername: foreman.rstest.net

    unattended: true

foreman::cli: {}

foreman::cli::ansible: false

foreman::cli::azure: false

foreman::cli::discovery: false

foreman::cli::host_reports: false

foreman::cli::katello: true

foreman::cli::kubevirt: false

foreman::cli::openscap: false

foreman::cli::puppet: false

foreman::cli::remote_execution: true

foreman::cli::tasks: false

foreman::cli::templates: false

foreman::cli::virt_who_configure: false

foreman::cli::webhooks: false

foreman::compute::ec2: false

foreman::compute::gce: false

foreman::compute::libvirt: false

foreman::compute::openstack: false

foreman::compute::ovirt: false

foreman::compute::vmware: {}

foreman::plugin::acd: false

foreman::plugin::ansible: {}

foreman::plugin::azure: false

foreman::plugin::bootdisk: false

foreman::plugin::chef: false

foreman::plugin::column_view: false

foreman::plugin::default_hostgroup: false

foreman::plugin::discovery: {}

foreman::plugin::expire_hosts: false

foreman::plugin::hooks: {}

foreman::plugin::host_reports: false

foreman::plugin::kubevirt: false

foreman::plugin::leapp: false

foreman::plugin::memcache: false

foreman::plugin::monitoring: false

foreman::plugin::openscap: false

foreman::plugin::puppet: false

foreman::plugin::puppetdb: false

foreman::plugin::remote_execution: {}

foreman::plugin::remote_execution::cockpit: false

foreman::plugin::rh_cloud: false

foreman::plugin::salt: false
foreman::plugin::setup: {}

foreman::plugin::snapshot_management: false

foreman::plugin::statistics: false

foreman::plugin::tasks: true

foreman::plugin::templates: false

foreman::plugin::virt_who_configure: false

foreman::plugin::webhooks: false

foreman_proxy:

    dhcp: true

    dhcp_gateway: 10.99.231.9

    dhcp_interface: eth1

    dhcp_listen_on: both

    dhcp_managed: true

    dhcp_pxeserver: 10.99.231.9

    dhcp_range: 10.99.231.15 10.99.231.245

    dns: true

    dns_forwarders:

    - 127.0.0.1

    dns_interface: eth1

    dns_reverse: 231.99.10.in-addr.arpa

    dns_server: 10.99.231.9

    dns_zone: rstest.net

    foreman_base_url: https://foreman.rstest.net

    foreman_ssl_ca: /etc/foreman-proxy/foreman_ssl_ca.pem

    foreman_ssl_cert: /etc/foreman-proxy/foreman_ssl_cert.pem

    foreman_ssl_key: /etc/foreman-proxy/foreman_ssl_key.pem

    gpgcheck: true

    httpboot: true

    manage_puppet_group: false

    puppet: false

    puppetca: false

    register_in_foreman: true

    ssl_ca: /etc/foreman-proxy/ssl_ca.pem

    ssl_cert: /etc/foreman-proxy/ssl_cert.pem

    ssl_key: /etc/foreman-proxy/ssl_key.pem

    ssl_port: '9090'

    tftp: true

    tftp_servername: 10.99.231.9

    trusted_hosts:

    - foreman.rstest.net

foreman_proxy::plugin::acd: false

foreman_proxy::plugin::ansible:

    enabled: true

    manage_runner_repo: false

foreman_proxy::plugin::chef: false

foreman_proxy::plugin::dhcp::infoblox: false

foreman_proxy::plugin::dhcp::remote_isc: false

foreman_proxy::plugin::discovery: false

foreman_proxy::plugin::dns::infoblox: false

foreman_proxy::plugin::monitoring: false

foreman_proxy::plugin::openscap: false

foreman_proxy::plugin::remote_execution::script: false

foreman_proxy::plugin::remote_execution::ssh:

    enabled: true

foreman_proxy::plugin::reports: false

foreman_proxy::plugin::salt: false

foreman_proxy::plugin::shellhooks: false

foreman_proxy_content: true

katello: true

puppet:

    server: false

History

#1 - 09/22/2022 11:21 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Need more information
Did you perhaps copy the answer file from another machine, without copying the migrations it ran? In #34758 SSH was renamed to script. That

requires a migration. I see this bit which shouldn't be there:

foreman_proxy::plugin::remote_execution::ssh:     enabled: true

#2 - 09/30/2022 01:32 PM - Frank Adaemmer

- Category deleted (foreman-installer script)

- Status changed from Need more information to Resolved

Thanks. Your right I didn't consider the renaming.
